/*!
@file interface.hpp
*/

//一回だけ読み込むように仕向けるための印
#ifndef DKUTIL_GRAPHICS_INTERFACE_HPP
#define DKUTIL_GRAPHICS_INTERFACE_HPP

//#include <DxLibMake/DxDraw.h>

#include <dkutil/graphics/structure.hpp>
#include <dkutil/graphics/utility.hpp>



namespace dxex{



class I2DFigureDrawPolicy{
public:
	virtual bool drawLine(int x1,int y1,int x2,int y2,int color) = 0;
	virtual bool drawBox(int left,int top,int right,int bottom,int color) = 0;
	virtual bool drawPixel(int x,int y,int color) = 0;
	virtual bool drawCircle(int x , int y , int r , int color) = 0;
	virtual bool drawOval( int x , int y , int rx , int ry , int color)  = 0;
	virtual bool drawTriangle(int x1, int y1, int x2, int y2,int x3, int y3, int color) = 0;
};






}//end of dxex namespace


#endif